runtime: php82

handlers:
  # ✅ ไฟล์ static (รูป, css, js) ให้เสิร์ฟตรง
  - url: /(.*\.(gif|png|jpg|jpeg|css|js|ico|webp|svg))
    static_files: \1
    upload: (.*\.(gif|png|jpg|jpeg|css|js|ico|webp|svg))

  # ✅ ทุกไฟล์ PHP ให้ execute ได้ตรง ๆ เช่น /ping.php, /db_check.php, /login.php
  - url: /(.*\.php)$
    script: \1

  # ✅ fallback สำหรับ root path หรือ request ที่ไม่ตรงไฟล์จริง → index.php
  - url: /.*
    script: index.php

# ===== Environment Variables (Cloud SQL ผ่าน Cloud SQL Auth proxy) =====
# ปรับชื่อ DB / USER / PASS ให้ตรงของจริง
env_variables:
  DB_HOST: '/cloudsql/astute-maxim-461306-p3:asia-southeast1:studentdev-db1'
  DB_NAME: 'site_db'
  DB_USER: 'app_rw'
  DB_PASS: 'abcd9876'
